package cn.edu.whu.boot.user.services;

import java.util.Set;

public interface PermissionCacheService {
    Set<String> getPermissionsByRole(int role);

    void deletePermissionsByRole(int role);

    void addPermissions(int role, String[] permissions);

    boolean permissionsCached(int role);
}
